#pragma once
#include "color_debug.hpp"
#include <PSX/jabyengine.hpp>

namespace JabyEngine {
    namespace boot {
        namespace BIOS {
            void identify();
        }

        namespace Callbacks {
            void setup();
        }

        namespace CD {
            void setup();
        }

        namespace DMA {
            void setup();
        }

        namespace GPU {
            void display_logo();
            void setup();
        }

        namespace GTE {
            void setup();
        }

        namespace SPU {
            void stop_voices();
            void setup();
        }

        namespace Timer {
            void setup();
        }

        namespace Periphery {
            void setup();
        }
    }

    void __no_return run();
}